## imcode.util.io
Class FileUtility

    java.lang.Object
      imcode.util.io.FileUtility

    public class FileUtility

extends java.lang.Object

Method Summary
`static void` `backupRename(java.io.File source, java.io.File destination)`
`static java.util.Collection` `collectRelativeSubdirectoriesStartingWith(java.io.File directory)`
`static boolean` `directoryIsAncestorOfOrEqualTo(java.io.File dir, java.io.File file)`
`static java.lang.String` `escapeFilename(java.lang.String filename)`
`static java.io.File` `getFileFromWebappRelativePath(java.lang.String pathString)` Takes a path-string and returns a file.
`static java.lang.String` `relativeFileToString(java.io.File file)`
`static java.io.File` `relativizeFile(java.io.File ancestorDirectory, java.io.File file)`
`static java.lang.String[]` `splitFile(java.io.File file)`
`static java.lang.String` `unescapeFilename(java.lang.String escapedFilename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFileFromWebappRelativePath

    public static java.io.File getFileFromWebappRelativePath(java.lang.String pathString)

  Takes a path-string and returns a file. The path is prepended with the webapp dir if the path is relative.

### relativizeFile

    public static java.io.File relativizeFile(java.io.File ancestorDirectory,
                                              java.io.File file)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### directoryIsAncestorOfOrEqualTo

    public static boolean directoryIsAncestorOfOrEqualTo(java.io.File dir,
                                                         java.io.File file)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### splitFile

    public static java.lang.String[] splitFile(java.io.File file)

### relativeFileToString

    public static java.lang.String relativeFileToString(java.io.File file)

### collectRelativeSubdirectoriesStartingWith

    public static java.util.Collection collectRelativeSubdirectoriesStartingWith(java.io.File directory)

### escapeFilename

    public static java.lang.String escapeFilename(java.lang.String filename)

### unescapeFilename

    public static java.lang.String unescapeFilename(java.lang.String escapedFilename)

### backupRename

    public static void backupRename(java.io.File source,
                                    java.io.File destination)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`